/**
 * Copyright (C) 2001-2002
 * - France Telecom R&D
 * - Laboratoire Logiciels, Systemes, Reseaux - UMR 5526, CNRS-INPG-UJF
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Release: 1.0
 *
 * Authors:
 *
 */

package org.objectweb.perseus.cache.api;

/**
 * Interface for the CacheEntry factory
 * (see GoF's Abstract Factory pattern.)
 *
 * @author Luciano Garcia-Banuelos (Luciano.Garcia@imag.fr)
 **/
public interface CacheEntryFactory {

    /**
     * Creates a CacheEntry, given the object and its corresponding
     * object identifier.
     *
     * @param id is the object identifier.
     * @param obj is the object held in a cache.
     **/
    FixableCacheEntry create(Object id, Object obj);
}
