/**
 * Copyright (C) 2001-2002
 * - France Telecom R&D
 * - Laboratoire Logiciels, Systemes, Reseaux - UMR 5526, CNRS-INPG-UJF
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Release: 1.0
 *
 * Authors:
 *
 */

package org.objectweb.perseus.cache.api;

/**
 * This exception is raised when the unfix method is called whereas the cache
 * entry is already unused.
 *
 * @author Luciano Garcia-Banuelos (Luciano.Garcia@imag.fr)
 */
public class UnFixProtocolException extends CacheException {

	public UnFixProtocolException() {
        super("Impossible to unfix a CacheEntry already unused");
	}

    public UnFixProtocolException(String msg) {
		super(msg);
	}

	public UnFixProtocolException(Exception nested) {
		super(nested);
	}

	public UnFixProtocolException(String msg, Exception nested) {
		super(msg, nested);
	}
}
